package com.capitalware.ufm.action.objects;

import java.io.File;

import com.capitalware.ufm.UFM;

public abstract class UFMFileObject extends UFMObject
{
   public int fileCount = 0;

   /**
    * The constructor
    */
   public UFMFileObject()
   {
      super();
   }
   
   /**
    * Check and create directory.
    * @param createDir
    * @param toDir
    * @throws IllegalArgumentException
    */
   public void checkAndCreateDirectory(boolean createDir, String toDir) throws IllegalArgumentException
   {
      /* Do we need to create the directory? */
      if (toDir != null)
      {
         if (createDir)
         {
            if (!(new File(toDir).exists()))
            {
               if ((new File(toDir)).mkdirs())
                  UFM.logger.info("Successfully created directory: " + toDir);
               else
                  throw new IllegalArgumentException("Error: Cannot create directory: " + toDir);
            }
         }
         else if (!(new File(toDir).exists()))
            throw new IllegalArgumentException("Target directory '"+toDir+"' does not exit.");
      }
   }
}
