package com.capitalware.ufm.ftp.objects;

import java.util.ArrayList;
import java.util.Hashtable;

import com.capitalware.ufm.UFM;
import com.capitalware.ufm.handlers.Tokens;
import com.capitalware.ufm.objects.CWConstants;

public class DeleteObject extends FtpCmdObject
{
   public String  remoteDir  = null;
   public String  remoteFile = null;

   /**
    * The constructor
    */
   public DeleteObject()
   {
      super();
   }

   /**
    * Verify the values in the object.
    */
   public void checkObject()
   {
      if (remoteFile == null)
         throw new IllegalArgumentException("Error: You must specify a remote file for the ftp Delete command.");
   }
   
   /**
    * Process tokens in ftp Object's variables
    */
   public void performTokenization(Hashtable<String,String>  properties)
   {
      if (remoteDir != null)
         remoteDir = Tokens.replace(remoteDir, properties);
      
      if (remoteFile != null)
         remoteFile = Tokens.replace(remoteFile, properties);
   }

   /**
    * Output the info
    * @param logger
    */
   public void printValues()
   {
      UFM.logger.info("         Remote Directory = " + remoteFile);
      UFM.logger.info("         Remote File      = " + remoteFile);
   }

   /**
    * Convert the object to a string.
    * @return s
    */
   public ArrayList<String> toStringArray()
   {
      ArrayList<String> al = new ArrayList<String>();

      al.add("<"+CWConstants.FTP_DELETE_ELEMENT+" "+CWConstants.REMOTE_DIR_ATTRIBUTE+"=\""+remoteDir+"\" "+CWConstants.REMOTE_DIR_ATTRIBUTE+"=\""+remoteFile+"\" />"+LINE_SEPARATOR);

      return al;
   }
}
